CNaughtCNaught
PricingSign In

Get Quote by Emissions Mass

Get a price quote for offsetting the given amount of carbon emissions.

POST/quotes

Authorizations#

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.

Headers#

X-Subaccount-Id

string

If present, will use pricing appropriate for the subaccount with given id.

Body#

Quote Parameters

amount_kg

number

required

Amount of CO₂ emissions, in kg

portfolio_id

string | null

Optional ID of the portfolio to use for the quote. The quote will be for an order fulfilled from this portfolio. If not specified, the account's default portfolio will be used.

source

string | null

Optional source of the quote. Defaults to api if not specified, otherwise must be one of api or checkout. Use api if the eventual order will be placed via the Order API. Use checkout if the order will be placed using the Checkout Session API.

Response#

200

Quote Details

Cancel Order

Get Quote by Emissions Mass

curl --request POST \
  --url https://api.cnaught.com/v1/quotes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "amount_kg": 8.5
}'
{
  "amount_kg": 8.5,
  "price_usd_cents": 10
}